# Copyright (c) Microsoft Corporation. 
# Licensed under the MIT license. 

import math
import os
import sys
import glob
import gc
import threading

from pathlib import Path
from simplygon import simplygon_loader
from simplygon import Simplygon


def ImportExportOBJ(sg: Simplygon.ISimplygon):
    sgSceneImporter = sg.CreateSceneImporter()
    sgSceneImporter.SetImportFilePath( "../Assets/Chain/Chain.obj" )
    if not sgSceneImporter.RunImport():
        raise Exception("Failed to load Chain/Chain.obj.")
    sgScene = sgSceneImporter.GetScene()

    sgSceneExporter = sg.CreateSceneExporter()
    sgSceneExporter.SetScene(sgScene)
    sgSceneExporter.SetExportFilePath( "OBJOutput.obj" )
    if not sgSceneExporter.RunExport():
        raise Exception("Failed to save OBJOutput.obj.")


if __name__ == '__main__':
    sg = simplygon_loader.init_simplygon()

    ImportExportOBJ(sg)

    sg = None
    gc.collect()

